package pack

import (
	"fmt"
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpSpecialTaskInviteListRequestToCondition(req *http_model.SpecialTaskInviteListRequest) *common_model.TalentConditions {
	fmt.Printf("初稿转换 %+v", req)
	return &common_model.TalentConditions{
		ProjectId:        req.ProjectId,
		TaskStatus:       conv.MustInt64(req.TaskStatus),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
